=== debian/changelog ===
kde4pimlibs (4:4.14.10-1ubuntu2) wily; urgency=medium

  * Rip out akonadi files that conflict with the kf5 version of kdepimlibs
    + These are runtime things that depend on a working akonadi stack which is
    no longer available since the entie shebang moved to kf5 and the wire
    format of akonadi changed as part of this.

 -- Harald Sitter <sitter@kde.org>  Wed, 02 Sep 2015 09:13:25 +0200

kde4pimlibs (4:4.14.10-1ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release.

  [ Harald Sitter ]
  * Rename source from kdepimlibs to kde4pimlibs for compatibility purposes we
    need the legacy kde4 version and the new kf5 version in the archive.
  * Adjust VCS fields
  * Make sure all breaks and replaces on kdepimlibs-data have a version
    it made a return in the kf5 packaging.
  * Rename packages to unconflict with kf5 version:
    + kdepimlibs-kio-plugins to kde4pimlibs-kio-plugins
    + kdepimlibs-dbg to kde4pimlibs-dbg
  * Merge with debian unstable

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 May 2015 07:21:55 -0700

kdepimlibs (4:4.14.10-1) unstable; urgency=medium

  * New upstream release (4.14.7).
  * Update copyright information.
  * New upstream release (4.14.8).
  * Update symbols files from buildds logs (4:4.14.6-1).
  * New upstream release (4.14.9).
  * New upstream release (4.14.10).
  * Update symbols files. (Closes: #777926)
  * Rename libgpgme++2 to v5 due to gcc5 transition.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Aug 2015 15:02:33 +0200

kdepimlibs (4:4.14.6-1) experimental; urgency=medium

  * New upstream release (4.14.6).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 29 Mar 2015 15:12:48 +0200

kdepimlibs (4:4.14.6-0ubuntu6) wily; urgency=medium

  * Update symbols files for GCC 5.
  * Don't let dh_makeshlibs fail on the first symbols mismatch, but
    run it for all packages, and then fail on mismatch.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Aug 2015 15:29:10 +0000

kdepimlibs (4:4.14.6-0ubuntu2) wily; urgency=medium

  * Unversioned boost build dependency

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Aug 2015 15:07:02 +0000

kdepimlibs (4:4.14.6-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Update watch file
  * Add missing files to -dev / wrap-and-sort.

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 15:04:47 -0700

kdepimlibs (4:4.14.5-1) experimental; urgency=medium

  * Prepare Debian release.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 18 Feb 2015 21:53:21 +0100

kdepimlibs (4:4.14.5-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Fix watch file.
  * Add missing files to kdepimlibs-dev
  * batchpatch symbols and removed 3 Missing per Riddell.

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 11:27:38 -0800

kdepimlibs (4:4.14.4-0ubuntu2) vivid; urgency=medium

  * New upstream release. 
  * Fix watch file to match new applications location. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 04 Feb 2015 18:08:02 +0000

kdepimlibs (4:4.14.2-2) unstable; urgency=medium

  * Team upload.
  * Add new error code for ERR_SSL_FAILED to support fixing issue where
    connection via SSL using an unknown certificate could not be rejected
    (Closes: #769852)

 -- Scott Kitterman <scott@kitterman.com>  Sun, 16 Nov 2014 22:35:39 -0500

kdepimlibs (4:4.14.2-1) unstable; urgency=medium

  * New upstream release (4.14.2).
  * Update symbols files from buildds logs (4:4.14.1-1).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 20 Oct 2014 17:13:26 +0200

kdepimlibs (4:4.14.2-0ubuntu2) vivid; urgency=medium

  * No-change rebuild for new libical

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 06 Jan 2015 12:08:36 +0000

kdepimlibs (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Batchpatch symbols. New symbols.

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 14:03:10 -0700

kdepimlibs (4:4.14.1-1) unstable; urgency=medium

  * New upstream release (4.14.1).
  * Update symbols files from buildds logs (4:4.14.0-1).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 17 Sep 2014 19:01:01 +0200

kdepimlibs (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Batchpatch new symbols.

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 16:47:36 +0200

kdepimlibs (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove upstream applied patches: ship_akonaditest and ship_knut
  * Update build dependencies.
  * Update symbols file with 4:4.13.3-2 buildds logs.
  * Update symbols file.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 22 Aug 2014 04:39:44 +0200

kdepimlibs (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 12:47:34 +0200

kdepimlibs (4:4.13.97-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * New upstream release candidate
  * Patched symbols libakonadi-contact4.symbols with batchpatch.

  [ Jonathan Riddell ]
  * Update symbols files

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 16:34:56 +0200

kdepimlibs (4:4.13.95-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * New upstream beta release

  [ Philip Muškovac ]
  * Add a new symbol to libakonadi-kde4.symbols

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 25 Jul 2014 07:27:26 -0700

kdepimlibs (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release
  * Remove ship_akonaditest patch applied upstream
  * Remove ship_knut applied upstream

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 17 Jul 2014 14:25:54 -0700

kdepimlibs (4:4.13.3-2) unstable; urgency=medium

  * Rename libkontactinterface4 to libkontactinterface4a, due to abi
    breakage. (Closes: #756376) Thanks to Thorsten Glaser


