=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH:=$(shell dpkg-architecture -qDEB_HOST_ARCH)
ifeq ($(DEB_HOST_ARCH),ia64)
    dqk_link_with_as_needed := no
endif

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk
libpkgs_addsubst_allLibraries = kdepimlibs5-dev kdepimlibs-dbg
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/2/library-packages.mk

override_dh_auto_configure:
	$(overridden_command) -- -DKDE4_BUILD_TESTS=false

override_dh_auto_test:
	# Disable dh_auto_test at build time

override_dh_makeshlibs:
	for p in $$(dh_listpackages -s); do \
	  echo dh_makeshlibs -p$$p; \
	  if ! dh_makeshlibs -p$$p; then \
	    fail=42; \
	  fi; \
	done; \
	exit $$fail

# Get rid of the dependency on kde{base,pim}-runtime
override_dh_shlibdeps:
	$(overridden_command) -- -xkdebase-runtime -xkde-runtime \
		-xkdepim-runtime -xkde4pimlibs-kio-plugins

override_dh_strip:
	$(overridden_command) --dbg-package=kde4pimlibs-dbg
