=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus-x11, libxml2-utils,
         kde-runtime, tzdata, akonadi-server,
         oxygen-icon-theme
Restrictions: rw-build-tree

Tests: acc
Depends: @, @builddeps@,
         dh-acc, exuberant-ctags
