=== debian/watch ===
version=3
http://download.kde.org/stable/applications/15.04.3/src/kdepimlibs-([\d.]+).tar.xz
